USN-4694-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4694-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4694-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4694-1
Related
  • CVE-2020-28374
Published
2021-01-14T23:48:32.541817Z
Modified
2021-01-14T23:48:32.541817Z
Summary
linux, linux-hwe, linux-hwe-5.4, linux-hwe-5.8, linux-lts-xenial vulnerability
Details

It was discovered that the LIO SCSI target implementation in the Linux kernel performed insufficient identifier checking in certain XCOPY requests. An attacker with access to at least one LUN in a multiple backstore environment could use this to expose sensitive information or modify data.

References

Affected packages

Ubuntu:18.04:LTS / linux-hwe-5.4

Package

Name
linux-hwe-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-62.70~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-snapdragon-hwe-18.04-edge": "5.4.0.62.70~18.04.57",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.62.70~18.04.57",
            "linux-image-5.4.0-62-generic": "5.4.0-62.70~18.04.1",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.62.70~18.04.57",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.62.70~18.04.57",
            "linux-image-generic-hwe-18.04": "5.4.0.62.70~18.04.57",
            "linux-image-5.4.0-62-lowlatency": "5.4.0-62.70~18.04.1",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.62.70~18.04.57",
            "linux-image-virtual-hwe-18.04": "5.4.0.62.70~18.04.57",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.62.70~18.04.57",
            "linux-image-oem-osp1": "5.4.0.62.70~18.04.57",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.62.70~18.04.57",
            "linux-image-5.4.0-62-generic-lpae": "5.4.0-62.70~18.04.1",
            "linux-image-snapdragon-hwe-18.04": "5.4.0.62.70~18.04.57",
            "linux-image-oem": "5.4.0.62.70~18.04.57"
        }
    ]
}

Ubuntu:18.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-132.136

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-lowlatency-hwe-16.04": "4.15.0.132.119",
            "linux-image-4.15.0-132-lowlatency": "4.15.0-132.136",
            "linux-image-4.15.0-132-generic-lpae": "4.15.0-132.136",
            "linux-image-4.15.0-132-generic": "4.15.0-132.136",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.132.119",
            "linux-image-generic-hwe-16.04": "4.15.0.132.119",
            "linux-image-generic-lpae-hwe-16.04": "4.15.0.132.119",
            "linux-image-lowlatency": "4.15.0.132.119",
            "linux-image-generic-lpae-hwe-16.04-edge": "4.15.0.132.119",
            "linux-image-generic": "4.15.0.132.119",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.132.119",
            "linux-image-virtual": "4.15.0.132.119",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.132.119",
            "linux-image-generic-lpae": "4.15.0.132.119",
            "linux-image-virtual-hwe-16.04": "4.15.0.132.119"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / linux-lts-xenial

Package

Name
linux-lts-xenial

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-200.232~14.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-4.4.0-200-powerpc-e500mc": "4.4.0-200.232~14.04.1",
            "linux-image-powerpc64-smp-lts-xenial": "4.4.0.200.175",
            "linux-image-virtual-lts-xenial": "4.4.0.200.175",
            "linux-image-4.4.0-200-powerpc64-smp": "4.4.0-200.232~14.04.1",
            "linux-image-4.4.0-200-powerpc-smp": "4.4.0-200.232~14.04.1",
            "linux-image-lowlatency-lts-xenial": "4.4.0.200.175",
            "linux-image-4.4.0-200-lowlatency": "4.4.0-200.232~14.04.1",
            "linux-image-4.4.0-200-generic": "4.4.0-200.232~14.04.1",
            "linux-image-generic-lts-xenial": "4.4.0.200.175",
            "linux-image-powerpc64-emb-lts-xenial": "4.4.0.200.175",
            "linux-image-4.4.0-200-powerpc64-emb": "4.4.0-200.232~14.04.1",
            "linux-image-powerpc-smp-lts-xenial": "4.4.0.200.175",
            "linux-image-powerpc-e500mc-lts-xenial": "4.4.0.200.175",
            "linux-image-generic-lpae-lts-xenial": "4.4.0.200.175",
            "linux-image-4.4.0-200-generic-lpae": "4.4.0-200.232~14.04.1"
        }
    ]
}

Ubuntu:20.04:LTS / linux-hwe-5.8

Package

Name
linux-hwe-5.8

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.8.0-38.43~20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-5.8.0-38-generic": "5.8.0-38.43~20.04.1",
            "linux-image-generic-hwe-20.04-edge": "5.8.0.38.43~20.04.23",
            "linux-image-virtual-hwe-20.04-edge": "5.8.0.38.43~20.04.23",
            "linux-image-lowlatency-hwe-20.04-edge": "5.8.0.38.43~20.04.23",
            "linux-image-generic-lpae-hwe-20.04-edge": "5.8.0.38.43~20.04.23",
            "linux-image-5.8.0-38-lowlatency": "5.8.0-38.43~20.04.1",
            "linux-image-generic-lpae-hwe-20.04": "5.8.0.38.43~20.04.23",
            "linux-image-lowlatency-hwe-20.04": "5.8.0.38.43~20.04.23",
            "linux-image-5.8.0-38-generic-lpae": "5.8.0-38.43~20.04.1",
            "linux-image-generic-hwe-20.04": "5.8.0.38.43~20.04.23",
            "linux-image-virtual-hwe-20.04": "5.8.0.38.43~20.04.23"
        }
    ]
}

Ubuntu:20.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-62.70

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.62.65",
            "linux-image-5.4.0-62-generic": "5.4.0-62.70",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.62.65",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.62.65",
            "linux-image-generic-hwe-18.04": "5.4.0.62.65",
            "linux-image-5.4.0-62-lowlatency": "5.4.0-62.70",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.62.65",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.62.65",
            "linux-image-virtual-hwe-18.04": "5.4.0.62.65",
            "linux-image-oem-osp1": "5.4.0.62.65",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.62.65",
            "linux-image-5.4.0-62-generic-lpae": "5.4.0-62.70",
            "linux-image-lowlatency": "5.4.0.62.65",
            "linux-image-generic": "5.4.0.62.65",
            "linux-image-virtual": "5.4.0.62.65",
            "linux-image-oem": "5.4.0.62.65",
            "linux-image-generic-lpae": "5.4.0.62.65"
        }
    ]
}

Ubuntu:16.04:LTS / linux-hwe

Package

Name
linux-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-132.136~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-132-generic": "4.15.0-132.136~16.04.1",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.132.130",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.132.130",
            "linux-image-generic-hwe-16.04": "4.15.0.132.130",
            "linux-image-generic-lpae-hwe-16.04": "4.15.0.132.130",
            "linux-image-4.15.0-132-lowlatency": "4.15.0-132.136~16.04.1",
            "linux-image-generic-lpae-hwe-16.04-edge": "4.15.0.132.130",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.132.130",
            "linux-image-4.15.0-132-generic-lpae": "4.15.0-132.136~16.04.1",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.132.130",
            "linux-image-oem": "4.15.0.132.130",
            "linux-image-virtual-hwe-16.04": "4.15.0.132.130"
        }
    ]
}

Ubuntu:16.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-200.232

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-lowlatency-lts-vivid": "4.4.0.200.206",
            "linux-image-virtual-lts-vivid": "4.4.0.200.206",
            "linux-image-powerpc64-emb": "4.4.0.200.206",
            "linux-image-lowlatency-lts-wily": "4.4.0.200.206",
            "linux-image-powerpc-e500mc-lts-utopic": "4.4.0.200.206",
            "linux-image-powerpc-smp-lts-wily": "4.4.0.200.206",
            "linux-image-generic-lpae-lts-vivid": "4.4.0.200.206",
            "linux-image-virtual-lts-utopic": "4.4.0.200.206",
            "linux-image-powerpc64-smp-lts-xenial": "4.4.0.200.206",
            "linux-image-powerpc64-emb-lts-utopic": "4.4.0.200.206",
            "linux-image-powerpc64-smp-lts-wily": "4.4.0.200.206",
            "linux-image-powerpc-smp-lts-utopic": "4.4.0.200.206",
            "linux-image-virtual-lts-xenial": "4.4.0.200.206",
            "linux-image-4.4.0-200-lowlatency": "4.4.0-200.232",
            "linux-image-powerpc-e500mc-lts-wily": "4.4.0.200.206",
            "linux-image-powerpc-smp-lts-vivid": "4.4.0.200.206",
            "linux-image-powerpc64-emb-lts-vivid": "4.4.0.200.206",
            "linux-image-4.4.0-200-generic": "4.4.0-200.232",
            "linux-image-4.4.0-200-powerpc64-smp": "4.4.0-200.232",
            "linux-image-powerpc64-smp": "4.4.0.200.206",
            "linux-image-generic-lts-xenial": "4.4.0.200.206",
            "linux-image-lowlatency": "4.4.0.200.206",
            "linux-image-powerpc64-smp-lts-vivid": "4.4.0.200.206",
            "linux-image-powerpc-smp-lts-xenial": "4.4.0.200.206",
            "linux-image-virtual": "4.4.0.200.206",
            "linux-image-generic-lpae-lts-xenial": "4.4.0.200.206",
            "linux-image-powerpc64-emb-lts-wily": "4.4.0.200.206",
            "linux-image-generic-lts-utopic": "4.4.0.200.206",
            "linux-image-generic-lts-vivid": "4.4.0.200.206",
            "linux-image-powerpc64-smp-lts-utopic": "4.4.0.200.206",
            "linux-image-powerpc-e500mc": "4.4.0.200.206",
            "linux-image-powerpc-e500mc-lts-xenial": "4.4.0.200.206",
            "linux-image-generic-lpae-lts-utopic": "4.4.0.200.206",
            "linux-image-powerpc-e500mc-lts-vivid": "4.4.0.200.206",
            "linux-image-4.4.0-200-generic-lpae": "4.4.0-200.232",
            "linux-image-4.4.0-200-powerpc-e500mc": "4.4.0-200.232",
            "linux-image-virtual-lts-wily": "4.4.0.200.206",
            "linux-image-4.4.0-200-powerpc-smp": "4.4.0-200.232",
            "linux-image-lowlatency-lts-xenial": "4.4.0.200.206",
            "linux-image-generic-lpae-lts-wily": "4.4.0.200.206",
            "linux-image-lowlatency-lts-utopic": "4.4.0.200.206",
            "linux-image-powerpc64-emb-lts-xenial": "4.4.0.200.206",
            "linux-image-generic": "4.4.0.200.206",
            "linux-image-powerpc-smp": "4.4.0.200.206",
            "linux-image-generic-lts-wily": "4.4.0.200.206",
            "linux-image-4.4.0-200-powerpc64-emb": "4.4.0-200.232",
            "linux-image-generic-lpae": "4.4.0.200.206"
        }
    ]
}